{
  programs.waybar = {
    enable = true;
    style = ''
      * {
        border: none;
        border-radius: 0;
        padding: 0;
        font-family: "VictorMono Nerd Font";
        font-size: 10pt;
      }

      * {
        transition: none;
      }

      #tags button.focused {
        border-top: 2px solid @base05;
        border-bottom: 2px solid @base05;
      }

      #tags button.occupied {
        background-color: @base02;
      }

      #tags button.urgent {
        background-color: @base08;
        color: @base00;
      }
    '';
    settings = {
      mainBar = {
        layer = "top";
        position = "top";
        height = 16;
        output = [
          "eDP-1"
          "DP-1"
          "HDMI-A-1"
        ];
        modules-left = [
          "river/tags"
          "clock"
        ];
        modules-center = [
          "mpris"
        ];
        modules-right = [
          "pulseaudio"
          "network"
          "memory"
          "cpu"
          "temperature"
          "battery"
          "tray"
        ];
        "river/tags" = {
          num-tags = 10;
          tag-labels = [ "1" "2" "3" "4" "5" "6" "7" "8" "9" "0" ];
          set-tags = [ 1 2 4 8 16 32 64 128 256 512 ];
          toogle-tags = [ 1 2 4 8 16 32 64 128 256 512 ];
        };
        "mpris" = {
          interval = 1;
        };
        "pulseaudio" = {
          format = "V{volume}%";
          format-muted = "(mute)";
        };
        "network" = {
          format = "disconected";
          format-wifi = "{bandwidthTotalBytes}";
          format-ethernet = "{bandwidthTotalBytes}";
          format-disconected = "disconected";
          interval = 1;
        };
      };
    };
  };
}
